[arch-commits] Commit in efl/repos (3 files)

Ronald van Haren ronald at archlinux.org
Thu Oct 10 15:09:13 UTC 2019


    Date: Thursday, October 10, 2019 @ 15:09:12
  Author: ronald
Revision: 364572

archrelease: copy trunk to testing-x86_64

Added:
  efl/repos/testing-x86_64/
  efl/repos/testing-x86_64/PKGBUILD
    (from rev 364571, efl/trunk/PKGBUILD)
  efl/repos/testing-x86_64/eina_doxygen.patch
    (from rev 364571, efl/trunk/eina_doxygen.patch)

--------------------+
 PKGBUILD           |   87 +++++++++++++++++++++++++++++++++++++++++++++++++++
 eina_doxygen.patch |   10 +++++
 2 files changed, 97 insertions(+)

Copied: efl/repos/testing-x86_64/PKGBUILD (from rev 364571, efl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-10-10 15:09:12 UTC (rev 364572)
@@ -0,0 +1,87 @@
+# Maintainer: Ronald van Haren <ronald at archlinux.org>
+# Contributor: Enlightenment Developers <enlightenment-devel at enlightenment.org>
+
+pkgbase=efl
+pkgname=('efl' 'efl-docs')
+pkgver=1.23.0
+pkgrel=1
+pkgdesc="Enlightenment Foundation Libraries"
+arch=('x86_64')
+url="https://www.enlightenment.org"
+license=('BSD' 'LGPL2.1' 'GPL2' 'custom')
+depends=('avahi' 'bullet' 'curl' 'fontconfig' 'fribidi'
+         'gst-plugins-base-libs' 'luajit' 'libexif' 'libgl' 'libinput'
+         'libpulse' 'libspectre' 'libraw' 'librsvg' 'libwebp' 'libxcomposite'
+         'libxcursor' 'libxinerama' 'libxkbcommon' 'libxp' 'libxrandr'
+         'libxss' 'libunwind' 'mesa' 'openjpeg2' 'poppler'
+         'shared-mime-info' 'mailcap' 'ttf-font' 'scim' 'libibus' 'glib2'
+         'wayland' 'wayland-protocols' 'libxkbcommon-x11'
+         'pulseaudio')
+optdepends=('geoclue: For elocation'
+            'gst-plugins-base: Video and thumbnail codecs'
+            'gst-plugins-good: Video and thumbnail codecs'
+            'gst-plugins-bad: Video and thumbnail codecs'
+            'gst-plugins-ugly: Video and thumbnail codecs'
+            'gst-libav: Video and thumbnails with ffmpeg/libav'
+            'libreoffice: Office document thumbnails'
+            'python2: Compare Eina benchmarks')
+makedepends=('doxygen' 'python' 'texlive-core' 'ghostscript' 'imagemagick' 'meson' 'ninja')
+options=('!emptydirs')
+source=(https://download.enlightenment.org/rel/libs/${pkgname}/$pkgname-$pkgver.tar.xz)
+sha256sums=('cd9625161b324621f873f00eb841de03398892078ce73d60205abd1766c15cc5')
+
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  export CFLAGS="$CFLAGS -fvisibility=hidden"
+
+  if [ -d build ]; then
+    rm -rf build
+  fi
+  mkdir -p build
+
+  meson --prefix=/usr \
+    -Dfb=true \
+    -Ddrm=true \
+    -Dwl=true \
+    -Dnetwork-backend=connman \
+    -Devas-loaders-disabler=json \
+    -Dbindings= \
+    -Dbuild-examples=false \
+    -Dbuild-tests=false \
+    -Decore-imf-loaders-disabler= \
+    . build
+
+  ninja -C build
+
+  cd build/doc
+  doxygen
+  #make -j1 doc || return 0  # don't fail on the docs
+}
+
+package_efl(){
+  replaces=('elementary' 'evas_generic_loaders' 'emotion_generic_players')
+
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  DESTDIR="${pkgdir}" ninja -C build install
+  
+  # install non-standard license files
+  install -Dm644 "${srcdir}/${pkgname}-${pkgver}/licenses/COPYING.BSD" \
+    "${pkgdir}/usr/share/licenses/${pkgname}/COPYING.BSD"
+  install -Dm644 "${srcdir}/${pkgname}-${pkgver}/licenses/COPYING.SMALL" \
+    "${pkgdir}/usr/share/licenses/${pkgname}/COPYING.SMALL"
+}
+
+package_efl-docs() {
+  pkgdesc="Documentation for the Enlightenment Foundation Libraries"
+  depends=()
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/build"
+  install -d "${pkgdir}/usr/share/doc/${pkgbase}"
+  cp -a html "${pkgdir}/usr/share/doc/${pkgbase}/html"
+  cp -a latex "${pkgdir}/usr/share/doc/${pkgbase}/latex"
+  cp -a man "${pkgdir}/usr/share"
+  
+}
+

Copied: efl/repos/testing-x86_64/eina_doxygen.patch (from rev 364571, efl/trunk/eina_doxygen.patch)
===================================================================
--- testing-x86_64/eina_doxygen.patch	                        (rev 0)
+++ testing-x86_64/eina_doxygen.patch	2019-10-10 15:09:12 UTC (rev 364572)
@@ -0,0 +1,10 @@
+--- src/lib/eina/eina_hamster.h	2013-02-16 12:52:32.000000000 +0100
++++ src/lib/eina/eina_hamster.h.new	2014-09-16 22:19:04.820163522 +0200
+@@ -24,7 +24,6 @@
+  *
+  * @brief These functions provide hamster calls.
+  *
+- * @{
+  */
+ 
+ /**



More information about the arch-commits mailing list